Package org.eclipse.birt.report.model.api.elements

# Class SemanticError

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.birt.core.exception.BirtException
org.eclipse.birt.report.model.api.ModelException
org.eclipse.birt.report.model.api.activity.SemanticException
org.eclipse.birt.report.model.api.elements.SemanticError

All Implemented Interfaces:
  `Serializable`

public class SemanticError extends SemanticException
The class provides the error code and the element with semantic error. The semantic error has two levels: error and warning. The default level is error.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DESIGN_EXCEPTION_AT_LEAST_ONE_COLUMN`
Error code indicating the result set has no result set column.
`static final String`
`DESIGN_EXCEPTION_CANNOT_SPECIFY_DATA_OBJECT`
Error code indicating that the cube or data set can not be specified for the multiview.
`static final String`
`DESIGN_EXCEPTION_CANNOT_SPECIFY_PAGE_SIZE`
Error code indicating page size can not be specified if page type is not custom.
`static final String`
`DESIGN_EXCEPTION_CANNOT_SPECIFY_VALUE`
The possible value cannot be specified because of other property values.
`static final String`
`DESIGN_EXCEPTION_CIRCULAR_ELEMENT_REFERNECE`
The element reference would create a cycle: a extends b extends a.
`static final String`
`DESIGN_EXCEPTION_COLUMN_COPY_FORBIDDEN`
Error code indicating to copy one column is forbidden.
`static final String`
`DESIGN_EXCEPTION_COLUMN_INSERT_FORBIDDEN`
Error code indicating to insert one column is forbidden.
`static final String`
`DESIGN_EXCEPTION_COLUMN_PASTE_DIFFERENT_LAYOUT`
Error code indicating to paste one column is forbidden.
`static final String`
`DESIGN_EXCEPTION_COLUMN_PASTE_FORBIDDEN`
Error code indicating to paste one column is forbidden.
`static final String`
`DESIGN_EXCEPTION_DATA_SET_MISSED_IN_JOINT_DATA_SET`
Data set is not added into this data set.
`static final String`
`DESIGN_EXCEPTION_DUPLICATE_CUSTOM_COLOR_NAME`
Error code indicating the custom color name is duplicate.
`static final String`
`DESIGN_EXCEPTION_DUPLICATE_GROUP_NAME`
Error code indicating the table/list has duplicate group name.
`static final String`
`DESIGN_EXCEPTION_EXTENSION_NOT_FOUND`
The extension name for the extended item is not found in our meta.
`static final String`
`DESIGN_EXCEPTION_IMAGE_FILE_NOT_EXIST`
Deprecated.
`static final String`
`DESIGN_EXCEPTION_INCONSISTENT_DATA_GROUP`
The simple list property has no definition in the element.
`static final String`
`DESIGN_EXCEPTION_INCONSISTENT_TEMPLATE_PARAMETER_TYPE`
Error code indicating default element or value element of template parameter definition is incompatible the "allowedType" property defined or the element types of default element and value element are not the same.
`static final String`
`DESIGN_EXCEPTION_INCONSITENT_DROP_HEADINGS`
Error code indicating the table has a conflict among dropping cells in group header of the table.
`static final String`
`DESIGN_EXCEPTION_INCONSITENT_GRID_COL_COUNT`
Error code indicating the grid has inconsistent column count.
`static final String`
`DESIGN_EXCEPTION_INCONSITENT_TABLE_COL_COUNT`
Error code indicating the table has inconsistent column count.
`static final String`
`DESIGN_EXCEPTION_INCONSITENT_TABLE_COL_COUNT_WITH_DROP`
Error code indicating the table has inconsistent column count because of drop effects of some cells.
`static final String`
`DESIGN_EXCEPTION_INVALID_CUSTOM_COLOR_NAME`
Error code indicating the custom color name is the same as CSS standard color name.
`static final String`
`DESIGN_EXCEPTION_INVALID_DATA_BINDING_REF`
Error code indicating the element referred should not be the container or content of the element.
`static final String`
`DESIGN_EXCEPTION_INVALID_ELEMENT_REF`
Error code indicating the element referred is not found.
`static final String`
`DESIGN_EXCEPTION_INVALID_IMAGE_NAME_VALUE`
Image Name is empty.
`static final String`
`DESIGN_EXCEPTION_INVALID_IMAGE_URL_VALUE`
Image URL value is empty.
`static final String`
`DESIGN_EXCEPTION_INVALID_IMAGEREF_EXPR_VALUE`
Image reference type is expression, but not both type expression and value expression are present in the design file.
`static final String`
`DESIGN_EXCEPTION_INVALID_LIBRARY_REFERENCE`
Error code indicating the structure referred is not found.
`static final String`
`DESIGN_EXCEPTION_INVALID_MANIFEST`
`static final String`
`DESIGN_EXCEPTION_INVALID_MASTER_PAGE_CONTEXT_CONTAINMENT`
The master page can not contain table/list in any level.
`static final String`
`DESIGN_EXCEPTION_INVALID_MULTI_COLUMN`
Error code indicating the columns span outside the page content.
`static final String`
`DESIGN_EXCEPTION_INVALID_PAGE_MARGINS`
Error code indicating the page margin is larger than the whole page.
`static final String`
`DESIGN_EXCEPTION_INVALID_PAGE_SIZE`
Error code indicating the master page size is invalid.
`static final String`
`DESIGN_EXCEPTION_INVALID_PROPERTY_BINDING_ID`
The property binding refers a non-existing element.
`static final String`
`DESIGN_EXCEPTION_INVALID_PROPERTY_NAME`
Error code indicating the property name of property mask does not be defined on the element.
`static final String`
`DESIGN_EXCEPTION_INVALID_SCALAR_PARAMETER_TYPE`
Error code indicating the a cascading parameter is not typed as "dynamic".
`static final String`
`DESIGN_EXCEPTION_INVALID_STRUCTURE_REF`
Error code indicating the structure referred is not found.
`static final String`
`DESIGN_EXCEPTION_MISSING_COLUMN_BINDING`
Column name of the data item has no corresponding data bindging.
`static final String`
`DESIGN_EXCEPTION_MISSING_DATA_SET`
Error code indicating List or Table can not access any data set.
`static final String`
`DESIGN_EXCEPTION_MISSING_EXTENSION`
The extension name for the extended item is not defined.
`static final String`
`DESIGN_EXCEPTION_MISSING_MASTER_PAGE`
Error code indicating the report has no master page.
`static final String`
`DESIGN_EXCEPTION_MISSING_PAGE_SIZE`
Error code indicating the page size is missing when page type is custom.
`static final String`
`DESIGN_EXCEPTION_MISSING_SQL_STMT`
Error code indicating the JDBC select data set has no SQL statement.
`static final String`
`DESIGN_EXCEPTION_MISSING_TEMPLATE_PARAMETER_TYPE`
Error code indicating template parameter definitions have no "type" information.
`static final String`
`DESIGN_EXCEPTION_OVERLAPPING_CELLS`
Error code indicating the table has overlapping cells.
`static final String`
`DESIGN_EXCEPTION_PROPERTY_BINDING_FORBIDDEN`
The element is not in the design tree, so it is forbidden to set the property binding.
`static final String`
`DESIGN_EXCEPTION_PROPERTY_COPY_FORBIDDEN`
Error code indicating to copy one property is forbidden.
`static final String`
`DESIGN_EXCEPTION_ROW_COPY_FORBIDDEN`
Error code indicating to copy one row is forbidden.
`static final String`
`DESIGN_EXCEPTION_ROW_INSERT_FORBIDDEN`
Error code indicating to shift one row is forbidden.
`static final String`
`DESIGN_EXCEPTION_ROW_INSERTANDPASTE_FORBIDDEN`
Error code indicating to inert and paste one row is forbidden.
`static final String`
`DESIGN_EXCEPTION_ROW_PASTE_FORBIDDEN`
Error code indicating to paste one row is forbidden.
`static final String`
`DESIGN_EXCEPTION_ROW_SHIFT_FORBIDDEN`
Error code indicating to paste one row is forbidden.
`static final String`
`DESIGN_EXCEPTION_TABLE_COLUMN_ILLEGAL_PERCENTAGE`
Tries to compute table's width which the sum of columns's width is greater than or equal to 100%.
`static final String`
`DESIGN_EXCEPTION_TABLE_COLUMN_INCONSISTENT_RELATIVE_UNIT`
Tries to compute table's width which contains multiple columns in different relative unit.
`static final String`
`DESIGN_EXCEPTION_TABLE_COLUMN_INCONSISTENT_UNIT_TYPE`
Tries to compute table's width which contains multiple columns in both absolute unit and relative unit other than percentage.
`static final String`
`DESIGN_EXCEPTION_TABLE_COLUMN_WITH_NO_WIDTH`
Tries to compute table's width which has columns with no width defined.
`static final String`
`DESIGN_EXCEPTION_TABLE_NO_COLUMN_FOUND`
Tries to compute table's width with no column defined.
`static final String`
`DESIGN_EXCEPTION_UNSUPPORTED_ELEMENT`
Error code indicating the element is not supported, but implemented in this release.
`static final String`
`DESIGN_EXCEPTION_VALUE_FORBIDDEN`
Empty list property should not have value.
`static final int`
`ERROR`
The constant for the semantic error.
`static final int`
`WARNING`
The constant for the semantic warning.

### Fields inherited from class org.eclipse.birt.report.model.api.activity.SemanticException

`DESIGN_EXCEPTION__EXPORT_ELEMENT_FAIL, element`

### Fields inherited from class org.eclipse.birt.report.model.api.ModelException

`PLUGIN_ID`

### Fields inherited from class org.eclipse.birt.core.exception.BirtException

`CANCEL, INFO, oaMessageArguments, OK, pluginId, rb, severity, sResourceKey`

## Constructor Summary

Constructors
Constructor
Description
`SemanticError(org.eclipse.birt.report.model.core.DesignElement element, String errCode)`
Constructs a SemanticError with the default serious level.
`SemanticError(org.eclipse.birt.report.model.core.DesignElement element, String[] values, String errCode)`
Constructs a SemanticError with the default serious level.
`SemanticError(org.eclipse.birt.report.model.core.DesignElement element, String[] values, String errCode, int level)`
Constructs a SemanticError with the specified level.
`SemanticError(org.eclipse.birt.report.model.core.DesignElement element, String errCode, int level)`
Constructs a SemanticError with the specified level.

## Method Summary

Modifier and Type
Method
Description
`int`
`getErrorLevel()`
Returns the level of the error.
`String`
`getLocalizedMessage()`

### Methods inherited from class org.eclipse.birt.report.model.api.activity.SemanticException

`getElement, getElementName, getMessage`

### Methods inherited from class org.eclipse.birt.core.exception.BirtException

`getErrorCode, getLocalizedMessage, getPluginId, getSeverity, setSeverity`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DESIGN_EXCEPTION_INCONSITENT_TABLE_COL_COUNT

public static final String DESIGN_EXCEPTION_INCONSITENT_TABLE_COL_COUNT
Error code indicating the table has inconsistent column count. The column count should match the maximum cell count in header, detail, and foot slots.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_INCONSITENT_TABLE_COL_COUNT_WITH_DROP

public static final String DESIGN_EXCEPTION_INCONSITENT_TABLE_COL_COUNT_WITH_DROP
Error code indicating the table has inconsistent column count because of drop effects of some cells. The column count should match the maximum cell count in header, detail, and foot slots.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_INCONSITENT_GRID_COL_COUNT

public static final String DESIGN_EXCEPTION_INCONSITENT_GRID_COL_COUNT
Error code indicating the grid has inconsistent column count. The column count should match the maximum cell count in rows.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_OVERLAPPING_CELLS

public static final String DESIGN_EXCEPTION_OVERLAPPING_CELLS
Error code indicating the table has overlapping cells. Cell is forbidden to overlap other cells.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_INCONSITENT_DROP_HEADINGS

public static final String DESIGN_EXCEPTION_INCONSITENT_DROP_HEADINGS
Error code indicating the table has a conflict among dropping cells in group header of the table.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_INVALID_PAGE_SIZE

public static final String DESIGN_EXCEPTION_INVALID_PAGE_SIZE
Error code indicating the master page size is invalid. The size should be positive.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_MISSING_PAGE_SIZE

public static final String DESIGN_EXCEPTION_MISSING_PAGE_SIZE
Error code indicating the page size is missing when page type is custom.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_CANNOT_SPECIFY_PAGE_SIZE

public static final String DESIGN_EXCEPTION_CANNOT_SPECIFY_PAGE_SIZE
Error code indicating page size can not be specified if page type is not custom.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_INVALID_PAGE_MARGINS

public static final String DESIGN_EXCEPTION_INVALID_PAGE_MARGINS
Error code indicating the page margin is larger than the whole page.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_MISSING_MASTER_PAGE

public static final String DESIGN_EXCEPTION_MISSING_MASTER_PAGE
Error code indicating the report has no master page.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_INVALID_MULTI_COLUMN

public static final String DESIGN_EXCEPTION_INVALID_MULTI_COLUMN
Error code indicating the columns span outside the page content.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_INVALID_ELEMENT_REF

public static final String DESIGN_EXCEPTION_INVALID_ELEMENT_REF
Error code indicating the element referred is not found.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_INVALID_DATA_BINDING_REF

public static final String DESIGN_EXCEPTION_INVALID_DATA_BINDING_REF
Error code indicating the element referred should not be the container or content of the element.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_INVALID_STRUCTURE_REF

public static final String DESIGN_EXCEPTION_INVALID_STRUCTURE_REF
Error code indicating the structure referred is not found.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_MISSING_SQL_STMT

public static final String DESIGN_EXCEPTION_MISSING_SQL_STMT
Error code indicating the JDBC select data set has no SQL statement.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_MISSING_DATA_SET

public static final String DESIGN_EXCEPTION_MISSING_DATA_SET
Error code indicating List or Table can not access any data set.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_IMAGE_FILE_NOT_EXIST

@Deprecated public static final String DESIGN_EXCEPTION_IMAGE_FILE_NOT_EXIST
Deprecated.
Error code indicating the image file is not found.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_INVALID_PROPERTY_NAME

public static final String DESIGN_EXCEPTION_INVALID_PROPERTY_NAME
Error code indicating the property name of property mask does not be defined on the element.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_UNSUPPORTED_ELEMENT

public static final String DESIGN_EXCEPTION_UNSUPPORTED_ELEMENT
Error code indicating the element is not supported, but implemented in this release.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_AT_LEAST_ONE_COLUMN

public static final String DESIGN_EXCEPTION_AT_LEAST_ONE_COLUMN
Error code indicating the result set has no result set column.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_DUPLICATE_GROUP_NAME

public static final String DESIGN_EXCEPTION_DUPLICATE_GROUP_NAME
Error code indicating the table/list has duplicate group name.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_INVALID_CUSTOM_COLOR_NAME

public static final String DESIGN_EXCEPTION_INVALID_CUSTOM_COLOR_NAME
Error code indicating the custom color name is the same as CSS standard color name.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_DUPLICATE_CUSTOM_COLOR_NAME

public static final String DESIGN_EXCEPTION_DUPLICATE_CUSTOM_COLOR_NAME
Error code indicating the custom color name is duplicate.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_EXTENSION_NOT_FOUND

public static final String DESIGN_EXCEPTION_EXTENSION_NOT_FOUND
The extension name for the extended item is not found in our meta.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_MISSING_EXTENSION

public static final String DESIGN_EXCEPTION_MISSING_EXTENSION
The extension name for the extended item is not defined.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_PROPERTY_COPY_FORBIDDEN

public static final String DESIGN_EXCEPTION_PROPERTY_COPY_FORBIDDEN
Error code indicating to copy one property is forbidden.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_ROW_COPY_FORBIDDEN

public static final String DESIGN_EXCEPTION_ROW_COPY_FORBIDDEN
Error code indicating to copy one row is forbidden.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_ROW_PASTE_FORBIDDEN

public static final String DESIGN_EXCEPTION_ROW_PASTE_FORBIDDEN
Error code indicating to paste one row is forbidden.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_ROW_INSERTANDPASTE_FORBIDDEN

public static final String DESIGN_EXCEPTION_ROW_INSERTANDPASTE_FORBIDDEN
Error code indicating to inert and paste one row is forbidden.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_ROW_INSERT_FORBIDDEN

public static final String DESIGN_EXCEPTION_ROW_INSERT_FORBIDDEN
Error code indicating to shift one row is forbidden.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_ROW_SHIFT_FORBIDDEN

public static final String DESIGN_EXCEPTION_ROW_SHIFT_FORBIDDEN
Error code indicating to paste one row is forbidden.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_COLUMN_COPY_FORBIDDEN

public static final String DESIGN_EXCEPTION_COLUMN_COPY_FORBIDDEN
Error code indicating to copy one column is forbidden.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_COLUMN_PASTE_FORBIDDEN

public static final String DESIGN_EXCEPTION_COLUMN_PASTE_FORBIDDEN
Error code indicating to paste one column is forbidden.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_COLUMN_PASTE_DIFFERENT_LAYOUT

public static final String DESIGN_EXCEPTION_COLUMN_PASTE_DIFFERENT_LAYOUT
Error code indicating to paste one column is forbidden.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_COLUMN_INSERT_FORBIDDEN

public static final String DESIGN_EXCEPTION_COLUMN_INSERT_FORBIDDEN
Error code indicating to insert one column is forbidden.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_INVALID_SCALAR_PARAMETER_TYPE

public static final String DESIGN_EXCEPTION_INVALID_SCALAR_PARAMETER_TYPE
Error code indicating the a cascading parameter is not typed as "dynamic".

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_MISSING_TEMPLATE_PARAMETER_TYPE

public static final String DESIGN_EXCEPTION_MISSING_TEMPLATE_PARAMETER_TYPE
Error code indicating template parameter definitions have no "type" information.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_INVALID_LIBRARY_REFERENCE

public static final String DESIGN_EXCEPTION_INVALID_LIBRARY_REFERENCE
Error code indicating the structure referred is not found.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_INCONSISTENT_TEMPLATE_PARAMETER_TYPE

public static final String DESIGN_EXCEPTION_INCONSISTENT_TEMPLATE_PARAMETER_TYPE
Error code indicating default element or value element of template parameter definition is incompatible the "allowedType" property defined or the element types of default element and value element are not the same.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_INVALID_PROPERTY_BINDING_ID

public static final String DESIGN_EXCEPTION_INVALID_PROPERTY_BINDING_ID
The property binding refers a non-existing element.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_PROPERTY_BINDING_FORBIDDEN

public static final String DESIGN_EXCEPTION_PROPERTY_BINDING_FORBIDDEN
The element is not in the design tree, so it is forbidden to set the property binding.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_INVALID_MASTER_PAGE_CONTEXT_CONTAINMENT

public static final String DESIGN_EXCEPTION_INVALID_MASTER_PAGE_CONTEXT_CONTAINMENT
The master page can not contain table/list in any level.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_DATA_SET_MISSED_IN_JOINT_DATA_SET

public static final String DESIGN_EXCEPTION_DATA_SET_MISSED_IN_JOINT_DATA_SET
Data set is not added into this data set.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_MISSING_COLUMN_BINDING

public static final String DESIGN_EXCEPTION_MISSING_COLUMN_BINDING
Column name of the data item has no corresponding data bindging.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_CIRCULAR_ELEMENT_REFERNECE

public static final String DESIGN_EXCEPTION_CIRCULAR_ELEMENT_REFERNECE
The element reference would create a cycle: a extends b extends a.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_INCONSISTENT_DATA_GROUP

public static final String DESIGN_EXCEPTION_INCONSISTENT_DATA_GROUP
The simple list property has no definition in the element.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_INVALID_MANIFEST

public static final String DESIGN_EXCEPTION_INVALID_MANIFEST

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_INVALID_IMAGEREF_EXPR_VALUE

public static final String DESIGN_EXCEPTION_INVALID_IMAGEREF_EXPR_VALUE
Image reference type is expression, but not both type expression and value expression are present in the design file.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_INVALID_IMAGE_URL_VALUE

public static final String DESIGN_EXCEPTION_INVALID_IMAGE_URL_VALUE
Image URL value is empty.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_INVALID_IMAGE_NAME_VALUE

public static final String DESIGN_EXCEPTION_INVALID_IMAGE_NAME_VALUE
Image Name is empty.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_VALUE_FORBIDDEN

public static final String DESIGN_EXCEPTION_VALUE_FORBIDDEN
Empty list property should not have value.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_TABLE_NO_COLUMN_FOUND

public static final String DESIGN_EXCEPTION_TABLE_NO_COLUMN_FOUND
Tries to compute table's width with no column defined.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_TABLE_COLUMN_WITH_NO_WIDTH

public static final String DESIGN_EXCEPTION_TABLE_COLUMN_WITH_NO_WIDTH
Tries to compute table's width which has columns with no width defined.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_TABLE_COLUMN_INCONSISTENT_UNIT_TYPE

public static final String DESIGN_EXCEPTION_TABLE_COLUMN_INCONSISTENT_UNIT_TYPE
Tries to compute table's width which contains multiple columns in both absolute unit and relative unit other than percentage.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_TABLE_COLUMN_INCONSISTENT_RELATIVE_UNIT

public static final String DESIGN_EXCEPTION_TABLE_COLUMN_INCONSISTENT_RELATIVE_UNIT
Tries to compute table's width which contains multiple columns in different relative unit.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_TABLE_COLUMN_ILLEGAL_PERCENTAGE

public static final String DESIGN_EXCEPTION_TABLE_COLUMN_ILLEGAL_PERCENTAGE
Tries to compute table's width which the sum of columns's width is greater than or equal to 100%.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_CANNOT_SPECIFY_VALUE

public static final String DESIGN_EXCEPTION_CANNOT_SPECIFY_VALUE
The possible value cannot be specified because of other property values.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_CANNOT_SPECIFY_DATA_OBJECT

public static final String DESIGN_EXCEPTION_CANNOT_SPECIFY_DATA_OBJECT
Error code indicating that the cube or data set can not be specified for the multiview.

See Also:
  - Constant Field Values

### ERROR

public static final int ERROR
The constant for the semantic error.

See Also:
  - Constant Field Values

### WARNING

public static final int WARNING
The constant for the semantic warning.

See Also:
  - Constant Field Values

## Constructor Details

### SemanticError

public SemanticError(org.eclipse.birt.report.model.core.DesignElement element, String errCode)
Constructs a SemanticError with the default serious level.

Parameters:
  `element` - the element causing this semantic error
  `errCode` - the semantic error code

### SemanticError

public SemanticError(org.eclipse.birt.report.model.core.DesignElement element, String[] values, String errCode)
Constructs a SemanticError with the default serious level.

Parameters:
  `element` - the element causing this semantic error
  `values` - value array used for error message
  `errCode` - the semantic error code

### SemanticError

public SemanticError(org.eclipse.birt.report.model.core.DesignElement element, String errCode, int level)
Constructs a SemanticError with the specified level.

Parameters:
  `element` - the element causing this semantic error
  `errCode` - the semantic error code
  `level` - the level of the error. Can be `ERROR` or `WARNING`.

### SemanticError

public SemanticError(org.eclipse.birt.report.model.core.DesignElement element, String[] values, String errCode, int level)
Constructs a SemanticError with the specified level.

Parameters:
  `element` - the element causing this semantic error
  `values` - value array used for error message
  `errCode` - the semantic error code
  `level` - the level of the error. Can be `ERROR` or `WARNING`.

## Method Details

### getLocalizedMessage

public String getLocalizedMessage()

Overrides:
  `getLocalizedMessage` in class `SemanticException`

### getErrorLevel

public int getErrorLevel()
Returns the level of the error. The level can be `ERROR` or `WARNING`.

Returns:
  the level of the error